# Yahoo! UI Library

### Event Utility 2.6.0

Yahoo! UI Library > event > YAHOO.util.Subscriber

Show Private Show Protected Show Deprecated

## Class YAHOO.util.Subscriber

Stores the subscriber information to be used when the event fires.

### Constructor

YAHOO.util.Subscriber `( fn , obj , override )`

Parameters:
  `fn <Function>` The function to execute
  `obj <Object>` An object to be passed along when the event fires
  `override <boolean>` If true, the obj passed in becomes the execution scope of the listener

### Properties

#### fn `- function`

The callback that will be execute when the event fires

#### obj `- object`

An optional custom object that will passed to the callback when the event fires

#### override `- boolean|object`

The default execution scope for the event listener is defined when the event is created (usually the object which contains the event). By setting override to true, the execution scope becomes the custom object passed in by the subscriber. If override is an object, that object becomes the scope.

### Methods

#### contains

`boolean contains ( fn , obj )`
Returns true if the fn and obj match this objects properties. Used by the unsubscribe method to match the right subscriber.

Parameters:
  `fn <Function>` the function to execute
  `obj <Object>` an object to be passed along when the event fires

Returns: `boolean`
  true if the supplied arguments match this subscriber's signature.

#### getScope

`void getScope ( defaultScope )`
Returns the execution scope for this listener. If override was set to true the custom obj will be the scope. If override is an object, that is the scope, otherwise the default scope will be used.

Parameters:
  `defaultScope <Object>` the scope to use if this listener does not override it.

Returns: `void`

#### toString

`void toString ( )`

Returns: `void`

Copyright © 2008 Yahoo! Inc. All rights reserved.